Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx.loading
Class ClassLoaderRepositorySupport

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.loading.ClassLoaderRepositorySupport

All Implemented Interfaces:
  ClassLoaderRepository, ExtendableClassLoaderRepository

public class ClassLoaderRepositorySupport
extends java.lang.Object
implements ExtendableClassLoaderRepository

Author:
  Young Yang

Constructor Summary
`ClassLoaderRepositorySupport()`

Method Summary
`void` | `addClassLoader(java.lang.ClassLoader loader)`
`java.lang.Class` | `loadClass(java.lang.String className)` Go through the list of class loaders and try to load the requested class.
`java.lang.Class` | `loadClassWithout(java.lang.ClassLoader loader, java.lang.String className)` load a class without the specify classloader
`void` | `removeClassLoader(java.lang.ClassLoader classloader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderRepositorySupport

    public ClassLoaderRepositorySupport()

Method Detail

### addClassLoader

    public void addClassLoader(java.lang.ClassLoader loader)

  Specified by:
    `addClassLoader` in interface `ExtendableClassLoaderRepository`

### removeClassLoader

    public void removeClassLoader(java.lang.ClassLoader classloader)

  Specified by:
    `removeClassLoader` in interface `ExtendableClassLoaderRepository`

### loadClass

    public java.lang.Class loadClass(java.lang.String className)
                              throws java.lang.ClassNotFoundException

  Description copied from interface: `ClassLoaderRepository`
  Go through the list of class loaders and try to load the requested class. The method will stop as soon as the class is found. If the class is not found the method will throw a ClassNotFoundException exception

  Specified by:
    `loadClass` in interface `ClassLoaderRepository`
  Parameters:
    `className` - The name of the class to be loaded.
  Throws:
    `java.lang.ClassNotFoundException`

### loadClassWithout

    public java.lang.Class loadClassWithout(java.lang.ClassLoader loader,
                                            java.lang.String className)
                                     throws java.lang.ClassNotFoundException

  load a class without the specify classloader

  Specified by:
    `loadClassWithout` in interface `ClassLoaderRepository`
  Parameters:
    `loader` -
    `className` -
  Returns:
    Class object
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD